package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BasePreventForeign;
import java.util.List;
/**
* 九防台账-防异物
* @author wuhonghao
* @date 2021/11/12
*/
public interface IBasePreventForeignService{

    /**
    * 新增
    */
    int create(BasePreventForeign basePreventForeign);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BasePreventForeign basePreventForeign);

    /**
    * 获取单个
    */
    BasePreventForeign getInfo(String id);

    /**
    * 查询列表
    */
    List<BasePreventForeign> getList(BasePreventForeign basePreventForeign);

}
